package tutorialJava.examenes.examen20250509.controlador;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250509.modelo.Grupo;

public class ControladorGrupo {
	
	public static List<Grupo> findAll() {
		List<Grupo> lista = new ArrayList<Grupo>();
		
		try {
			Connection conn = ConnectionManager.getConnection();
			Statement s = conn.createStatement();
			ResultSet rs = s.executeQuery("select * from grupo");
			
			while (rs.next()) {
				Grupo g = new Grupo();
				g.setId(rs.getInt("id"));
				g.setNombre(rs.getString("nombre"));
				g.setEstilo(rs.getString("estilo"));
				lista.add(g);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return lista;
	}
}
